Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts2.views.jsp.ui
Class AbstractListTag

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          javax.servlet.jsp.tagext.BodyTagSupport
              org.apache.struts2.views.jsp.StrutsBodyTagSupport
                  org.apache.struts2.views.jsp.ComponentTagSupport
                      org.apache.struts2.views.jsp.ui.AbstractUITag
                          org.apache.struts2.views.jsp.ui.AbstractListTag

All Implemented Interfaces:
  Serializable, BodyTag, IterationTag, JspTag, Tag

Direct Known Subclasses:
  AbstractRequiredListTag, InputTransferSelectTag

    public abstract class AbstractListTag

extends AbstractUITag

See Also:
  Serialized Form

Field Summary
`protected String` | `list`
`protected String` | `listKey`
`protected String` | `listValue`

Fields inherited from class org.apache.struts2.views.jsp.ui.AbstractUITag
`accesskey, cssClass, cssStyle, disabled, key, label, labelPosition, name, onblur, onchange, onclick, ondblclick, onfocus, onkeydown, onkeypress, onkeyup, onmousedown, onmousemove, onmouseout, onmouseover, onmouseup, onselect, required, requiredposition, tabindex, template, templateDir, theme, title, tooltip, tooltipConfig, value`

Fields inherited from class org.apache.struts2.views.jsp.ComponentTagSupport
`component`

Fields inherited from class javax.servlet.jsp.tagext.BodyTagSupport
`bodyContent`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.BodyTag
`EVAL_BODY_BUFFERED, EVAL_BODY_TAG`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`AbstractListTag()`

Method Summary
`protected void` | `populateParams()`
`void` | `setList(String list)`
`void` | `setListKey(String listKey)`
`void` | `setListValue(String listValue)`

Methods inherited from class org.apache.struts2.views.jsp.ui.AbstractUITag
`setAccesskey, setCssClass, setCssStyle, setDisabled, setKey, setLabel, setLabelposition, setName, setOnblur, setOnchange, setOnclick, setOndblclick, setOnfocus, setOnkeydown, setOnkeypress, setOnkeyup, setOnmousedown, setOnmousemove, setOnmouseout, setOnmouseover, setOnmouseup, setOnselect, setRequired, setRequiredposition, setTabindex, setTemplate, setTemplateDir, setTheme, setTitle, setTooltip, setTooltipConfig, setValue`

Methods inherited from class org.apache.struts2.views.jsp.ComponentTagSupport
`doEndTag, doStartTag, getBean, getComponent`

Methods inherited from class org.apache.struts2.views.jsp.StrutsBodyTagSupport
`altSyntax, findString, findValue, findValue, getBody, getStack, setId, toString, translateVariables`

Methods inherited from class javax.servlet.jsp.tagext.BodyTagSupport
`doAfterBody, doInitBody, getBodyContent, getPreviousOut, release, setBodyContent`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.servlet.jsp.tagext.Tag
`getParent, setPageContext, setParent`

Field Detail

### list

    protected String list

### listKey

    protected String listKey

### listValue

    protected String listValue

Constructor Detail

### AbstractListTag

    public AbstractListTag()

Method Detail

### populateParams

    protected void populateParams()

  Overrides:
    `populateParams` in class `AbstractUITag`

### setList

    public void setList(String list)

### setListKey

    public void setListKey(String listKey)

### setListValue

    public void setListValue(String listValue)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2007 Apache Software Foundation. All Rights Reserved.